QGCache(3qt)

NAME
QGCache - Internal class for implementing QCache and QIntCache

SYNOPSIS

#include <qgcache.h>

Inherits QCollection.

Inherited by QCache and QIntCache.

  Protected Members

QGCache ( int maxCost, uint size, bool caseS, bool copyKeys, bool trivial )

QGCache ( const QGCache & )

~QGCache ()

QGCache& operator= ( const QGCache & )

virtual uint count () const

uint size () const

int maxCost () const

int totalCost () const

void setMaxCost ( int maxCost )

bool insert ( const char * key, GCI, int cost, int priority )

bool remove ( const char * key )

GCI take ( const char * key )

virtual void clear ()

GCI find ( const char * key, bool ref=TRUE ) const

void statistics () const

DESCRIPTION
The QGCache class is an internal class for implementing QCache and QIntCache.

QGCache is a strictly internal class that acts as a base class for the collection classes QCache and QIntCache.

MEMBER FUNCTION DOCUMENTATION

QGCache::QGCache ( const QGCache & ) [protected]
For internal use only.

QGCache::QGCache ( int maxCost, uint size, bool caseS, bool copyKeys, bool trivial ) [protected]
For internal use only.

QGCache::~QGCache () [protected]
For internal use only.

void QGCache::clear () [virtual protected]
For internal use only.

Reimplemented from QCollection.

uint QGCache::count () const [virtual protected]
For internal use only.

Reimplemented from QCollection.

GCI QGCache::find ( const char * key, bool ref=TRUE ) const [protected]
For internal use only.

bool QGCache::insert ( const char * key, GCI data, int cost, int priority ) [protected]
For internal use only.

int QGCache::maxCost () const [protected]
For internal use only.

QGCache & QGCache::operator= ( const QGCache & ) [protected]
For internal use only.

bool QGCache::remove ( const char * key ) [protected]
For internal use only.

void QGCache::setMaxCost ( int maxCost ) [protected]
For internal use only.

uint QGCache::size () const [protected]
For internal use only.

void QGCache::statistics () const [protected]
For internal use only.

GCI QGCache::take ( const char * key ) [protected]
For internal use only.

int QGCache::totalCost () const [protected]
For internal use only.

SEE ALSO
http://www.troll.no/qt/qgcache.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.